DeluxHostAPI Reference
Services & monitoring

Get server resource usage

GET
/v1/services/{id}/usage

limitBytes: 0 means unmetered. cpuPercent, memUsedMb and disks come from the guest agent and are null or empty without it.

Authorization

apiToken services:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: services:read

Path Parameters

id*integer

The service id, as returned by GET /v1/services.

Response Body

Usage.

application/json
  1. response
cpuPercent*number|null
memUsedMb*integer|null
memTotalMb*integer|null
disks*array<>
traffic*|null
curl -X GET 'https://api.deluxhost.net/v1/services/0/usage' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "cpuPercent": 0,  "memUsedMb": 0,  "memTotalMb": 0,  "disks": [    {      "mount": "string",      "totalGb": 0,      "usedGb": 0    }  ],  "traffic": {    "rxBytes": 0,    "txBytes": 0,    "totalBytes": 0,    "limitBytes": 0,    "periodStart": "string",    "periodEnd": "string"  }}